%define version 2.2.12
%define release 2mdk

%define pkgname	gtkmm
%define api_version 2.0
%define major 1
%define libname_orig %mklibname %{pkgname} %{api_version}
%define libname %mklibname %{pkgname} %{api_version} %{major}

Name:		%{pkgname}%{api_version}
Summary:	C++ interface for popular GUI library gtk+
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{pkgname}/2.2/%{pkgname}-%{version}.tar.bz2
BuildRequires:	gtk+2-devel >= 2.2.0
BuildRequires:	libsigc++1.2-devel

%description
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package -n	%{libname}
Summary:	C++ interface for popular GUI library gtk+
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description -n	%{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.


%package -n	%{libname}-devel
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.


%package -n	%{libname}-static-devel
Summary:	Static libraries of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname}-devel = %{version}-%{release}
Provides:	%{pkgname}%{api_version}-static-devel = %{version}-%{release}
Provides:	%{libname_orig}-static-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
This package contains the static libraries of %{pkgname}.


%package	doc
Summary:	%{pkgname} documentation
Group:		Books/Other

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for gtkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x --enable-static --enable-shared
%make

# make check does nothing

%install
rm -rf %{buildroot}
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc CHANGES COPYING PORTING ChangeLog TODO
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/gtkmm-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files -n %{libname}-static-devel
%defattr(-, root, root)
%doc COPYING
%{_libdir}/*.a

%files doc
%defattr(-, root, root)
%doc %{_datadir}/doc/gtkmm-%{api_version}
%doc %{_datadir}/devhelp/books/*

%changelog
* Fri May 06 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.12-2mdk
- Rebuild

* Sun Jun 06 2004 Abel Cheung <deaddog@deaddog.org> 2.2.12-1mdk
- New version
- Build with new gcc

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 2.2.11-4mdk 
- Revert last change, not needed
- Drop patch1 (can be handled by new libtool)

* Fri May 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.2.11-3mdk
- buildrequires

* Thu May 13 2004 Abel Cheung <deaddog@deaddog.org> 2.2.11-2mdk
- (gb) fix built-in libtool for amd64

* Mon Apr 26 2004 Abel Cheung <deaddog@deaddog.org> 2.2.11-1mdk
- New version
- Drop patch, not needed

* Tue Feb 17 2004 Abel Cheung <deaddog@deaddog.org> 2.2.9-1mdk
- New version
- Split documentation as subpackage

* Fri Oct 17 2003 Abel Cheung <deaddog@deaddog.org> 2.2.8-2mdk
- Provides gtkmm2.0-devel instead of plain gtkmm-devel
- Fix source url

* Wed Oct 01 2003 Abel Cheung <deaddog@deaddog.org> 2.2.8-1mdk
- 2.2.8
- Patch0: Make libtool 1.5 always search for staging libraries first
  during relinking
- Provide plain package names for compatibility

* Fri Aug 22 2003 Abel Cheung <maddog@linux.org.hk> 2.2.6-1mdk
- 2.2.6

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 2.2.5-1mdk
- 2.2.5, rebuild for new devel requires
- Remove unnecessary BuildRequires
- Disable absurd part in %%install
- Split static libraries into subpackage

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.3-1mdk
- Release 2.2.3

* Sun Apr  6 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.2.1-2mdk
- lib major is 1, not 0 :/

* Sat Apr  5 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 2.2.1-1mdk
- 2.2.x wrapping gtk+2

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.2.10-1mdk
- Release 1.2.10
- Remove patch0 (merged upstream)

* Fri Sep 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.9-4mdk
- Enforce filelist
- Patch1: Make it lib64-aware

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.9-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.9-2mdk
- Automated rebuild with gcc3.2

* Sat May 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.9-1mdk
- new version

* Mon May 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.8-3mdk
- Patch0: Don't redefine default args (ISO C++ fixes, aka fix build with gcc3)

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-2mdk
- Recompiled against latest libsigc++
- Use makeinstall_std macro

* Fri Nov  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.8-1mdk
- new version

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-3mdk
- fix obsolete-not-provided 
- better provides

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.7-2mdk
- BuildRequires: flex
- Remove redundant BuildRequires.

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.7-1mdk
- Release 1.2.7
- Clean specfile

* Mon Mar 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-3mdk
- gtkmm-devel requires libsigc++-devel, thx to chmouel

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-2mdk
- Recompiled against latest glib/gtk

* Sat Feb 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5
- make provides qualifying version

* Mon Dec  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-3mdk
- Correct provides

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-2mdk
- Correct Obsoletes

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4
- new lib policy

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-4mdk
- recompile against newest libstdc++

* Tue Oct 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-3mdk
- remove hardcoding of CFLAGS no more needed with gcc-2.96
- devel package requires main package of same version

* Fri Oct 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.3-2mdk
- Fix gcc2.96 compiles ("Dmitry V. Levin" <ldv@fandra.org>).

* Thu Oct 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-1mdk
- new release

* Sun Aug 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-3mdk
- now should also compile on non x86 arch, /me sucks

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-2mdk
- automatically added packager tag

* Wed Aug 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2
  (release notes highlights: Changed internals to get around serious gcc bug.
   Earlier versions should be discarded. Use of old version with multiple
   inheritence will cause segfaults!)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-3mdk
- automatically added BuildRequires

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-2mdk
- macros
- specfile big cleanup

* Fri Jun  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1
- little cleanup of specfile

* Thu May 25 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-2mdk
- Don't try to use -fno-rtti

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0pre1-1mdk
- can actually be used now!
- new url

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.1.8-2mdk
- Fix group and other specs subtilities

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- back in contribs
- mandrake build 

* Sun Jan  2 2000 Herbert Valerio Riedel <hvr@gnu.org>
- examples should be makeable now

* Sun Dec 26 1999 Herbert Valerio Riedel <hvr@gnu.org>
- commented out manpages for now...

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added dependancies on libsigc++

* Sat Nov  6 1999 Herbert Valerio Riedel <hvr@gnu.org>
- cleanup for 1.1.x
- changed rpm package name from Gtk-- to gtkmm
- removed that static hack

* Sat Oct 21 1999 Karl Einar Nelson <kenelson@ece.ucdavis.edu>
- Changed dist from Gtk--- to gtkmm-

* Sat Sep 11 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added SMP support
- added custom release feature

* Sun Aug  1 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.1.x

* Thu Jul 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.0.x
- Merged in changes from redhat's gtk--.spec
- conditional build of static libraries by define 'STATIC'

* Thu May 10 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.3

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.

